Last Comment Bug 732963 - xulrunner shouldn't use pretty name for checksums files
: xulrunner shouldn't use pretty name for checksums files
Status: RESOLVED FIXED
[Leave open after merge]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: ---
Assigned To: Rail Aliiev [:rail]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 07:21 PST by Rail Aliiev [:rail]
Modified: 2012-10-26 05:17 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
xulrunner checksums, no pretty names (1.46 KB, patch)
2012-03-05 07:21 PST, Rail Aliiev [:rail]
khuey: review+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
lukasblakk+bugs: approval‑mozilla‑esr10+
rail: checkin+
Details | Diff | Splinter Review

Description Rail Aliiev [:rail] 2012-03-05 07:21:22 PST
Created attachment 602897 [details] [diff] [review]
xulrunner checksums, no pretty names

We upload xulrunner deliverables for all platforms in one directory. Checksums files use pretty name schema and doesn't contain platform name in the file name. Checksums file name should have the same basename as PKG_BASENAME.
Comment 1 Rail Aliiev [:rail] 2012-03-08 11:59:15 PST
Comment on attachment 602897 [details] [diff] [review]
xulrunner checksums, no pretty names

http://hg.mozilla.org/integration/mozilla-inbound/rev/5774e4736140
Comment 2 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-03-09 05:19:04 PST
https://hg.mozilla.org/mozilla-central/rev/5774e4736140
Comment 3 Rail Aliiev [:rail] 2012-03-14 07:30:06 PDT
Comment on attachment 602897 [details] [diff] [review]
xulrunner checksums, no pretty names

This patch can be reproduced only in release builds and doesn't affect any CI builds. Worked fine in m-c and staging release builds.

Regression caused by (bug #): the current bug
Testing completed (on m-c, etc.): tested in dev environment by running staging releases 
Risk to taking this patch (and alternatives if risky): very low
String changes made by this patch: none
Comment 4 Lukas Blakk [:lsblakk] use ?needinfo 2012-03-14 07:50:11 PDT
Comment on attachment 602897 [details] [diff] [review]
xulrunner checksums, no pretty names

[Triage comment]
Approved low-risk, non-CI affecting, dev tested.
Comment 5 Rail Aliiev [:rail] 2012-03-14 11:39:17 PDT
Comment on attachment 602897 [details] [diff] [review]
xulrunner checksums, no pretty names

http://hg.mozilla.org/releases/mozilla-beta/rev/0457b542fba7
Comment 6 Rail Aliiev [:rail] 2012-03-15 07:13:07 PDT
Worked fine in 12.0b1 build2
Comment 7 Rail Aliiev [:rail] 2012-03-16 08:17:21 PDT
Comment on attachment 602897 [details] [diff] [review]
xulrunner checksums, no pretty names

I would like to land this patch on m-r and esr10 branches. 12.0b1 release passed without any problems. The risk is very low since patch contains only cosmetic but needed by release automation changes.
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-03-21 13:54:37 PDT
Comment on attachment 602897 [details] [diff] [review]
xulrunner checksums, no pretty names

[Triage Comment]
sounds good, low risk, please go ahead and land.

Note You need to log in before you can comment on or make changes to this bug.